Bug 264510 - Table crash
Summary: Table crash
Status: VERIFIED FIXED
Alias: None
Product: calligrawords
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Calligra Words Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-27 17:54 UTC by T Zachmann
Modified: 2011-02-10 13:51 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Document showing the problem (13.21 KB, application/vnd.oasis.opendocument.text)
2011-01-27 17:55 UTC, T Zachmann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description T Zachmann 2011-01-27 17:54:13 UTC
Application: words (2.4 Alpha 1)
KDE Platform Version: 4.5.1 (KDE 4.5.1)
Qt Version: 4.7.0
Operating System: Linux 2.6.35-24-generic x86_64
Distribution: Ubuntu 10.10

-- Information about the crash:
Scroll down the presentation that will be attached to the bug report.

The crash can be reproduced every time.

-- Backtrace:
Application: Words (words), signal: Aborted
[Current thread is 1 (Thread 0x7f590e2237a0 (LWP 30467))]

Thread 2 (Thread 0x7f58ea563700 (LWP 30473)):
#0  0x00007f5907e8d203 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f590327a009 in ?? () from /lib/libglib-2.0.so.0
#2  0x00007f590327a45c in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x00007f5908c871e6 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#4  0x00007f5908c59a02 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#5  0x00007f5908c59dec in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0x00007f5908b642fd in QThread::exec() () from /usr/lib/libQtCore.so.4
#7  0x00007f5908c395f8 in ?? () from /usr/lib/libQtCore.so.4
#8  0x00007f5908b6727e in ?? () from /usr/lib/libQtCore.so.4
#9  0x00007f590699cae3 in ?? () from /usr/lib/nvidia-current/libGL.so.1
#10 0x00007f59088dc971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#11 0x00007f5907e9992d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f590e2237a0 (LWP 30467)):
[KCrash Handler]
#6  0x00007f5907de6ba5 in raise (sig=<value optimized out>) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#7  0x00007f5907dea6b0 in abort () at abort.c:92
#8  0x00007f5908b5e864 in qt_message_output(QtMsgType, char const*) () from /usr/lib/libQtCore.so.4
#9  0x00007f5908b5ea42 in ?? () from /usr/lib/libQtCore.so.4
#10 0x00007f5908b5ebf5 in qFatal(char const*, ...) () from /usr/lib/libQtCore.so.4
#11 0x00007f58f24a8605 in TableLayout::cellBoundingRect (this=0x300fb90, cell=..., fmt=...) at /home/tz/develop/kde/git/calligra/plugins/textshape/TableLayout.cpp:548
#12 0x00007f58f24a8518 in TableLayout::cellBoundingRect (this=0x300fb90, cell=...) at /home/tz/develop/kde/git/calligra/plugins/textshape/TableLayout.cpp:536
#13 0x00007f58f2488bef in Layout::drawFrame (this=0x300fa60, frame=0x2362b50, painter=0x7fffb141f840, context=..., inTable=1) at /home/tz/develop/kde/git/calligra/plugins/textshape/Layout.cpp:1416
#14 0x00007f58f24882ff in Layout::drawFrame (this=0x300fa60, frame=0x251bea0, painter=0x7fffb141f840, context=..., inTable=0) at /home/tz/develop/kde/git/calligra/plugins/textshape/Layout.cpp:1335
#15 0x00007f58f2488096 in Layout::draw (this=0x300fa60, painter=0x7fffb141f840, context=...) at /home/tz/develop/kde/git/calligra/plugins/textshape/Layout.cpp:1303
#16 0x00007f590d501b91 in KoTextDocumentLayout::draw (this=0x24bda40, painter=0x7fffb141f840, context=...) at /home/tz/develop/kde/git/calligra/libs/kotext/KoTextDocumentLayout.cpp:312
#17 0x00007f58f245704a in TextShape::paintComponent (this=0x23bf840, painter=..., converter=...) at /home/tz/develop/kde/git/calligra/plugins/textshape/TextShape.cpp:183
#18 0x00007f590d19cb21 in KoShapeContainer::paint (this=0x23bf840, painter=..., converter=...) at /home/tz/develop/kde/git/calligra/libs/flake/KoShapeContainer.cpp:143
#19 0x00007f590d1a54ba in KoShapeManager::paintShape (this=0x25bacd0, shape=0x23bf840, painter=..., converter=..., forPrint=false) at /home/tz/develop/kde/git/calligra/libs/flake/KoShapeManager.cpp:362
#20 0x00007f590d1a0747 in KoShapeManagerPaintingStrategy::paint (this=0x25b9b40, shape=0x23bf840, painter=..., converter=..., forPrint=false) at /home/tz/develop/kde/git/calligra/libs/flake/KoShapeManagerPaintingStrategy.cpp:52
#21 0x00007f590d1a523d in KoShapeManager::paint (this=0x25bacd0, painter=..., converter=..., forPrint=false) at /home/tz/develop/kde/git/calligra/libs/flake/KoShapeManager.cpp:329
#22 0x00007f58f7ae4f1b in KWCanvasBase::paint (this=0x1ceffa8, painter=..., paintRect=...) at /home/tz/develop/kde/git/calligra/words/part/KWCanvasBase.cpp:315
#23 0x00007f58f7ae76a8 in KWCanvas::paintEvent (this=0x1ceff80, ev=0x7fffb1420050) at /home/tz/develop/kde/git/calligra/words/part/KWCanvas.cpp:172
#24 0x00007f590a150c2e in QWidget::event(QEvent*) () from /usr/lib/libQtGui.so.4
#25 0x00007f58f7ae7108 in KWCanvas::event (this=0x1ceff80, e=0x7fffb1420050) at /home/tz/develop/kde/git/calligra/words/part/KWCanvas.cpp:112
#26 0x00007f590a0fafdc in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#27 0x00007f590a100aed in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#28 0x00007f590b0a8156 in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#29 0x00007f5908c5acdc in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#30 0x00007f590a15767d in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/libQtGui.so.4
#31 0x00007f590a32b3a6 in ?? () from /usr/lib/libQtGui.so.4
#32 0x00007f590a14a730 in QWidgetPrivate::syncBackingStore() () from /usr/lib/libQtGui.so.4
#33 0x00007f590a1512f5 in QWidget::event(QEvent*) () from /usr/lib/libQtGui.so.4
#34 0x00007f590a53841b in QMainWindow::event(QEvent*) () from /usr/lib/libQtGui.so.4
#35 0x00007f590b1c4683 in KXmlGuiWindow::event(QEvent*) () from /usr/lib/libkdeui.so.5
#36 0x00007f590a0fafdc in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#37 0x00007f590a100aed in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#38 0x00007f590b0a8156 in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#39 0x00007f5908c5acdc in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#40 0x00007f590a3286e7 in ?? () from /usr/lib/libQtGui.so.4
#41 0x00007f590a32babf in ?? () from /usr/lib/libQtGui.so.4
#42 0x00007f590a14ce2b in QWidget::repaint(QRect const&) () from /usr/lib/libQtGui.so.4
#43 0x00007f590a572dc3 in QScrollBar::mousePressEvent(QMouseEvent*) () from /usr/lib/libQtGui.so.4
#44 0x00007f590a151035 in QWidget::event(QEvent*) () from /usr/lib/libQtGui.so.4
#45 0x00007f590a5730e2 in QScrollBar::event(QEvent*) () from /usr/lib/libQtGui.so.4
#46 0x00007f590a0fafdc in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#47 0x00007f590a10130e in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#48 0x00007f590b0a8156 in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#49 0x00007f5908c5acdc in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#50 0x00007f590a0ffdbe in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) () from /usr/lib/libQtGui.so.4
#51 0x00007f590a183345 in ?? () from /usr/lib/libQtGui.so.4
#52 0x00007f590a181c5c in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/libQtGui.so.4
#53 0x00007f590a1ae0e2 in ?? () from /usr/lib/libQtGui.so.4
#54 0x00007f5903276342 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#55 0x00007f590327a2a8 in ?? () from /lib/libglib-2.0.so.0
#56 0x00007f590327a45c in g_main_context_iteration () from /lib/libglib-2.0.so.0
#57 0x00007f5908c87193 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#58 0x00007f590a1ada4e in ?? () from /usr/lib/libQtGui.so.4
#59 0x00007f5908c59a02 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#60 0x00007f5908c59dec in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#61 0x00007f5908c5debb in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
#62 0x00007f590de4b798 in kdemain (argc=2, argv=0x7fffb1422918) at /home/tz/develop/kde/git/calligra/words/part/main.cpp:38
#63 0x00000000004008e6 in main (argc=2, argv=0x7fffb1422918) at /home/ko2/calligra-build/words/part/words_dummy.cpp:3

Reported using DrKonqi
Comment 1 T Zachmann 2011-01-27 17:55:46 UTC
Created attachment 56523 [details]
Document showing the problem
Comment 2 Camilla Boemann 2011-02-09 11:58:31 UTC
fixed in git
Comment 3 swathi 2011-02-10 13:51:36 UTC
Verified in git commit e812ba7ebf585736a2587b8a928ff59b1649f3ce.
No more crash is observed.